package es.verdnatura.presentation.view.feature.sacador.model

class CollectionListVO(
    var list: List<CollectionVO> = listOf()
)

class CollectionVO(
    var collectionFk: String = "",
    var created: String = "",
    var tickets: List<TicketVO> = listOf(),
    var isError: Boolean = false,
    var errorMessage: String = "",
    var itemPackingTypeFk: String = "",
    var rgb: String? = null
)

class TicketVO(
    var ticketFk: String = "",
    var level: String = "",
    var rgb: String = "",
    var agencyName: String = "",
    var salesPersonFk: String = "",
    var sales: List<SaleVO> = listOf(),
    var observations: String = "",

    )

class SaleVO(
    var ticketFk: String = "",
    var level: String = "",
    var rgb: String = "",
    var agencyName: String = "",
    var saleOrder: Int = 9999,
    var saleFk: String = "",
    var itemFk: String = "",
    var quantity: String = "",
    var longName: String = "",
    var size: String = "",
    var reserved: String = "",
    var isPreviousPrepared: String = "",
    var isPrepared: String = "",
    var isControlled: String = "",
    var isPreControlled: String = "",
    var color: String = "",
    var productor: String = "",
    var discount: String = "",
    var price: String = "",
    var stems: String = "",
    var category: String = "",
    var origin: String = "",
    var clientFk: String = "",
    var originalQuantity: String = "",
    var line1: String = "",
    var line2: String? = "",
    var line3: String = "",
    var isAdded: String = "",
    var pickedQuantity: String = "",
    var workerFk: String = "",
    var placements: List<PlacementVO> = listOf(),
    var Barcodes: List<String> = listOf(),
    var isNew: Boolean = false,
    var salePersonFk: String = "",
    var packingType: String? = "",
    var cel1: String = "",
    var cel2: String = "",
    var cel3: String = "",
    var saleGroupFk: String = "",
    var packingShelve: String = "",

    var picked: String = "",


    )

class PlacementVO(
    var saleFk: String = "",
    var itemFk: String = "",
    var placement: String = "",
    var parking: String = "",
    var stockTotal: String = "",
    var shelving: String = "",
    var created: String = "",
    var visible: String = "",
    var order: String = "",
    var grouping: String = "",
    var priority: String = "",
    var saleOrder: String = "",
    var isPreviousPrepared: String = "",
    var itemShelvingSaleFk: String = "",
    var ticketFk: String = "",
    var id: String = "",
    var pickingOrder: Int = 0

)

class PlacementSupplyVO(
    var itemFk: String = "",
    var longName: String = "",
    var size: String = "",
    var subName: String = "",
    var itemShelvingFk: String = "",
    var shelving: String = "",
    var stock: String = "",
    var total: String = "",
    var proposal: String = "",
    var isError: Boolean = false,
    var errorMessage: String = ""
)

class PlacementSupplyListVO(
    var list: List<PlacementSupplyVO> = listOf()
)

class MistakeTypeVO(
    var id: String = "",
    var description: String = ""
)

class MistakeTypeListVO(
    var list: List<MistakeTypeVO> = listOf()
)

